summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorLISA STILLWELL <lisa@dhcp152-54-9-239.europa.renci.org>2012-10-19 15:53:48 (GMT)
committer LISA STILLWELL <lisa@dhcp152-54-9-239.europa.renci.org>2012-10-19 15:53:48 (GMT)
commitaddbacbb055c2d3f67906802bc0034694532ecb9 (patch)
treec2fde4c414e0d7c1bb7dd8e07f16eaf23858f289 /packaging
parentacb027f1331e3c0aea5cd6b407ae20af75276e3b (diff)
downloadQCG-Data-addbacbb055c2d3f67906802bc0034694532ecb9.zip
QCG-Data-addbacbb055c2d3f67906802bc0034694532ecb9.tar.gz
QCG-Data-addbacbb055c2d3f67906802bc0034694532ecb9.tar.bz2
[#769] add detection for when idrop-web build fails
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/build.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/packaging/build.sh b/packaging/build.sh
index a994012..fb4c779 100755
--- a/packaging/build.sh
+++ b/packaging/build.sh
@@ -162,7 +162,12 @@ fi
echo "Building iDrop Web ..."
cd ../idrop-web
grails war idrop-web.war
-# TODO: check return value of grails build??
+RETVAL=$?
+if [ $RETVAL -eq 1 ]; then
+ echo "iDrop Web Build Failed - Exiting"
+ echo "Packaging Failed"
+ exit 1
+fi
#create EPM .list file
# available from: http://fossies.org/unix/privat/epm-4.2-source.tar.gz